Bug 1724978 - [RFE][v2v] Improve the way we display progress percent in UI
Summary: [RFE][v2v] Improve the way we display progress percent in UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: V2V
Version: 2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 2.4.0
Assignee: Tomas Jelinek
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On: 1830780
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-28 07:56 UTC by Ilanit Stein
Modified: 2020-07-28 19:09 UTC (History)
6 users (show)

Fixed In Version: 4.4.0-rc.1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-28 19:09:38 UTC
Target Upstream Version:
dagur: needinfo+
dagur: needinfo+
istein: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3194 None None None 2020-07-28 19:09:53 UTC

Description Ilanit Stein 2019-06-28 07:56:19 UTC
Description of problem:

On version hco-bundle-registry:v2.0.0-33, there are several problems with current implementation of the v2v migration progress display in the UI:


1. In conversion pod log these periodic messages appear: "Updating progress on pod annotation".   (The progress percent is not detailed in the log itself).
Clicking the Pod Overview -> Click 'Annotation (2)' button show percent value,but once this window is open, the displayed percent is not progressed, though migration is progressing.In order to view any progress, need to close it, and open it again.
So first problem id that the display on this value is not dynamic.

 

2. When the migration progress percent is populated with values (other than the initial 0 value) , the values are not rounded. For example it displays 13.14, and eventually it displays something like 99.31 (It do not reach 100 (%)).
So second problem is that percent is not rounded.
and third that it do not reach 100%

 
Would be good to have instead, something like a progress bar display as we have is in RHV/CFME, or at least some value that is progressed dynamically, while migration is progressing.

Comment 1 Ilanit Stein 2019-06-28 07:57:37 UTC
Jira ticket: 
https://jira.coreos.com/browse/KNIP-806

Comment 4 Tomas Jelinek 2020-01-06 15:53:10 UTC
This is the patch https://github.com/openshift/console/commit/501783c2b68c4d4dbbdecfc8247e0379f8e61088 adding the support to show the v2v import progress as a progress bar in the dashboard.

Comment 5 Nelly Credi 2020-03-25 13:43:46 UTC
This should be fixed already.

Comment 9 Ilanit Stein 2020-04-27 18:55:29 UTC
Tomas,

While VM import, a progress bar for the imported VM is indeed displayed, but it remains on progress 0%.
The conversion Pod's Annotation progress also did not show progress beyond 0%,
Might be that there is some basic problem with the progress reporting, and not necessarily with the progress bar.
I can provide the environment details.
Would you please take a look?

Comment 10 Tomas Jelinek 2020-04-28 06:48:28 UTC
if the pod keeps showing 0%, UI will only display it.

@Tomas: any changes in this area?

Comment 11 Tomáš Golembiovský 2020-04-28 07:17:32 UTC
I am little bit confused here. So is the bug about the fact that the annotation does not show 100% when the conversion is done or about something else? Anything else sounds like UI issue to me.

Comment 12 Tomas Jelinek 2020-04-28 07:46:22 UTC
> I am little bit confused here. So is the bug about the fact that the annotation does not show 100% when the conversion is done or about something else? Anything else sounds like UI issue to me.

IIUC the problem is that the annotation only shows 0% during the whole migration.

Comment 13 Tomáš Golembiovský 2020-04-28 09:26:51 UTC
What is the version of the container?

Comment 14 Ilanit Stein 2020-04-30 13:17:36 UTC
I tested another VM migration, of a RHEL8 with 25GB disk.
During the disk conversion I tracked the pod's v2v log.
Unlike in past versions, I could not see progress percent messages, from time to time in the log.
These messages appear in the log: "DEBUG - Updating progress in POD annotation"
however, Pod Annotations, Key "v2vConversionProgress", show value 0% all along the VM migration. 

Tomas G. checked my environment (CNV-2.3 latest version) and found that this no progress issue is due to Bug 1810040 - "Migration progress status in virt-v2v-wrapper.log gets skipped", solved in v2v-wrapper package 2.2.0 or newer, but 
CNV-2.3 latest version, contains v2v-wrapper package version 1.15.0.

Filed this Bug 1829828 - [v2v][Doc] VM migration progress percent is not progressing

Based on the above this bug can't be verified on CNV-2.3.

Comment 15 Nelly Credi 2020-05-04 12:58:14 UTC
based on comment 14
moving this bug to the next release

Comment 16 Ilanit Stein 2020-05-05 09:45:59 UTC
This is the BZ to track the no progress on the beck end, for CNV:
Bug 1830780 - virt-v2v-wrapper - 0% VM migration progress in UI

Comment 17 Ilanit Stein 2020-06-09 06:46:36 UTC
Verification is blocked by Bug 1845183 - [v2v] VMware to CNV: VM import fails quickly on "Failed to get watch namespace".
VM import do not reach the stage of disk copy right now.

Comment 18 Ilanit Stein 2020-06-09 13:03:44 UTC
Verified on CNV-2.4.
Progress bar is progressing a couple of munutes after VM import is trigered.
Tested with RHEL-7 VM import.
The progress bar is seen progressing both on "Overview" page, and when clicking the imported VM status, while import is not yet done.

Comment 21 errata-xmlrpc 2020-07-28 19:09:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3194


Note You need to log in before you can comment on or make changes to this bug.